kind: DaemonSet
apiVersion: apps/v1
metadata:
  annotations:
    clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash: 577fe3d2b05619ac326571a3504857e3e7e70a275c941e3397aa9db5c1a1d3a4
    clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash: 1698a139f8905d3b47d619aa8f81ad7cb6ffe620a219e0b003f1799e35f317b9
    deprecated.daemonset.template.generation: '1'
  resourceVersion: '118977'
  name: clusterresourceoverride
  uid: 5b300106-ab81-417e-90a6-45c4320f3f58
  creationTimestamp: '2023-02-02T19:32:56Z'
  generation: 1
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: operator.autoscaling.openshift.io/v1
      kind: ClusterResourceOverride
      name: cluster
      uid: 306b6a34-4c7f-4ea8-89c2-9e2f736af330
      controller: true
      blockOwnerDeletion: true
  labels:
    operator.autoscaling.openshift.io/clusterresourceoverride: 'true'
spec:
  selector:
    matchLabels:
      clusterresourceoverride: 'true'
  template:
    metadata:
      name: clusterresourceoverride
      creationTimestamp: null
      labels:
        clusterresourceoverride: 'true'
        operator.autoscaling.openshift.io/clusterresourceoverride: 'true'
      annotations:
        clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash: 577fe3d2b05619ac326571a3504857e3e7e70a275c941e3397aa9db5c1a1d3a4
        clusterresourceoverride.operator.autoscaling.openshift.io/owner: cluster
        clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash: 1698a139f8905d3b47d619aa8f81ad7cb6ffe620a219e0b003f1799e35f317b9
    spec:
      nodeSelector:
        node-role.kubernetes.io/master: ''
      restartPolicy: Always
      serviceAccountName: clusterresourceoverride
      schedulerName: default-scheduler
      hostNetwork: true
      terminationGracePeriodSeconds: 30
      securityContext: {}
      containers:
        - resources: {}
          terminationMessagePath: /dev/termination-log
          name: clusterresourceoverride
          command:
            - /usr/bin/cluster-resource-override-admission
          env:
            - name: CONFIGURATION_PATH
              value: /etc/clusterresourceoverride/config/override.yaml
          ports:
            - hostPort: 9400
              containerPort: 9400
              protocol: TCP
          imagePullPolicy: Always
          volumeMounts:
            - name: serving-cert
              mountPath: /var/serving-cert
            - name: configuration
              mountPath: /etc/clusterresourceoverride/config/override.yaml
              subPath: configuration.yaml
          terminationMessagePolicy: File
          image: >-
            registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
          args:
            - '--secure-port=9400'
            - '--bind-address=127.0.0.1'
            - '--tls-cert-file=/var/serving-cert/tls.crt'
            - '--tls-private-key-file=/var/serving-cert/tls.key'
            - '--v=3'
      serviceAccount: clusterresourceoverride
      volumes:
        - name: serving-cert
          secret:
            secretName: server-serving-cert-clusterresourceoverride
            defaultMode: 420
        - name: configuration
          configMap:
            name: clusterresourceoverride-configuration
            defaultMode: 420
      dnsPolicy: ClusterFirst
      tolerations:
        - key: node-role.kubernetes.io/master
          operator: Exists
          effect: NoSchedule
        - key: node.kubernetes.io/unreachable
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
        - key: node.kubernetes.io/not-ready
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
  updateStrategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 0
  revisionHistoryLimit: 10
status:
  currentNumberScheduled: 3
  numberMisscheduled: 0
  desiredNumberScheduled: 3
  numberReady: 3
  observedGeneration: 1
  updatedNumberScheduled: 3
  numberAvailable: 3
